org.apache.hadoop.hdfs.client

## Interface HdfsClientConfigKeys.HttpClient

- Enclosing interface:
    org.apache.hadoop.hdfs.client.HdfsClientConfigKeys

      public static interface HdfsClientConfigKeys.HttpClient

  dfs.http.client configuration properties

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FAILOVER_MAX_ATTEMPTS_DEFAULT`
    `static String` | `FAILOVER_MAX_ATTEMPTS_KEY`
    `static int` | `FAILOVER_SLEEPTIME_BASE_DEFAULT`
    `static String` | `FAILOVER_SLEEPTIME_BASE_KEY`
    `static int` | `FAILOVER_SLEEPTIME_MAX_DEFAULT`
    `static String` | `FAILOVER_SLEEPTIME_MAX_KEY`
    `static String` | `PREFIX`
    `static int` | `RETRY_MAX_ATTEMPTS_DEFAULT`
    `static String` | `RETRY_MAX_ATTEMPTS_KEY`
    `static boolean` | `RETRY_POLICY_ENABLED_DEFAULT`
    `static String` | `RETRY_POLICY_ENABLED_KEY`
    `static String` | `RETRY_POLICY_SPEC_DEFAULT`
    `static String` | `RETRY_POLICY_SPEC_KEY`

- - ### Field Detail

    - #### PREFIX

          static final String PREFIX

      See Also:
        Constant Field Values

    - #### RETRY_POLICY_ENABLED_KEY

          static final String RETRY_POLICY_ENABLED_KEY

      See Also:
        Constant Field Values

    - #### RETRY_POLICY_ENABLED_DEFAULT

          static final boolean RETRY_POLICY_ENABLED_DEFAULT

      See Also:
        Constant Field Values

    - #### RETRY_POLICY_SPEC_KEY

          static final String RETRY_POLICY_SPEC_KEY

      See Also:
        Constant Field Values

    - #### RETRY_POLICY_SPEC_DEFAULT

          static final String RETRY_POLICY_SPEC_DEFAULT

      See Also:
        Constant Field Values

    - #### RETRY_MAX_ATTEMPTS_KEY

          static final String RETRY_MAX_ATTEMPTS_KEY

      See Also:
        Constant Field Values

    - #### RETRY_MAX_ATTEMPTS_DEFAULT

          static final int RETRY_MAX_ATTEMPTS_DEFAULT

      See Also:
        Constant Field Values

    - #### FAILOVER_MAX_ATTEMPTS_KEY

          static final String FAILOVER_MAX_ATTEMPTS_KEY

      See Also:
        Constant Field Values

    - #### FAILOVER_MAX_ATTEMPTS_DEFAULT

          static final int FAILOVER_MAX_ATTEMPTS_DEFAULT

      See Also:
        Constant Field Values

    - #### FAILOVER_SLEEPTIME_BASE_KEY

          static final String FAILOVER_SLEEPTIME_BASE_KEY

      See Also:
        Constant Field Values

    - #### FAILOVER_SLEEPTIME_BASE_DEFAULT

          static final int FAILOVER_SLEEPTIME_BASE_DEFAULT

      See Also:
        Constant Field Values

    - #### FAILOVER_SLEEPTIME_MAX_KEY

          static final String FAILOVER_SLEEPTIME_MAX_KEY

      See Also:
        Constant Field Values

    - #### FAILOVER_SLEEPTIME_MAX_DEFAULT

          static final int FAILOVER_SLEEPTIME_MAX_DEFAULT

      See Also:
        Constant Field Values

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.